function mat=matrix(obj)
% MATRIX computes the matrix which characterises a step of potential energy.
%
%   mat=matrix(obj)
%       >> obj  = Step object
%       << mat  = Matrix of the step
%
%   Olivier Pujol (2010)
%
%% Verifications

if (isa(obj,'step')==0),error('Bad object type!');end
%
if (obj.ke==0),error('Singular case k=0!');end
if (obj.ks==0),error('Singular case k=0!');end

%% Computing matrix 

mat(1,1)=obj.ks+obj.ke;
mat(1,2)=obj.ks-obj.ke;
mat(2,1)=obj.ks-obj.ke;
mat(2,2)=obj.ks+obj.ke;
mat=(1/(2*sqrt(obj.ke*obj.ks))).*mat;

return;