function TES=matrix(sys)
% MATRIX returns the transfer matrix of the system.
%
%   TES=matrix(sys)
%       >> sys = System
%       << TES = Transfer matrix (2*2) of the system
%
% Olivier Pujol (2010)
%
if (nargin~=1), error('Bad number of input arguments!');end
%
nE=size(sys,2);     % Number of energy values = number of system
TES=cell(1,nE);     % Transfer matrix initialization
%
for iE=1:length(sys)
    TES{iE}=matrix(sys{iE}{2});
    for n=3:length(sys{iE})
        TES{iE}=translation(sys{iE}{n-1},sys{iE}{n})*TES{iE};
        TES{iE}=matrix(sys{iE}{n})*TES{iE};
    end
end
%
return;